# SubmitBlockRequestModel

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**BlockBlob** | Pointer to **string** |  | [optional] 

## Methods

### NewSubmitBlockRequestModel

`func NewSubmitBlockRequestModel() *SubmitBlockRequestModel`

NewSubmitBlockRequestModel instantiates a new SubmitBlockRequestModel object
This constructor will assign default values to properties that have it defined,
and makes sure properties required by API are set, but the set of arguments
will change when the set of required properties is changed

### NewSubmitBlockRequestModelWithDefaults

`func NewSubmitBlockRequestModelWithDefaults() *SubmitBlockRequestModel`

NewSubmitBlockRequestModelWithDefaults instantiates a new SubmitBlockRequestModel object
This constructor will only assign default values to properties that have it defined,
but it doesn't guarantee that properties required by API are set

### GetBlockBlob

`func (o *SubmitBlockRequestModel) GetBlockBlob() string`

GetBlockBlob returns the BlockBlob field if non-nil, zero value otherwise.

### GetBlockBlobOk

`func (o *SubmitBlockRequestModel) GetBlockBlobOk() (*string, bool)`

GetBlockBlobOk returns a tuple with the BlockBlob field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetBlockBlob

`func (o *SubmitBlockRequestModel) SetBlockBlob(v string)`

SetBlockBlob sets BlockBlob field to given value.

### HasBlockBlob

`func (o *SubmitBlockRequestModel) HasBlockBlob() bool`

HasBlockBlob returns a boolean if a field has been set.


[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


